/*+------------------------------------------------------+
  |            simplePing.h  -  description              |
  |                -------------------                   |
  | begin      : 06/02/2011 11.39                        |
  | copyright  : (C) 2011 xAppSoftware                   |
  | author     : Luigi D'Andrea                          |
  | email      : gg1 at xappsoftware.com                 |
  | compiling  : make                                    |
  |                                                      |
  | Latest version on http://www.xappsoftware.com        |
  +------------------------------------------------------+*/
#ifndef SIMPLEPING_H_INCLUDED
#define SIMPLEPING_H_INCLUDED

/*+------------------------------------------------------+
  | CONSTANTS                                            |
  +------------------------------------------------------+*/
#define PACKETSIZE	64

/*+------------------------------------------------------+
  | DEFINED STRUCTS                                      |
  +------------------------------------------------------+*/
typedef struct 
{
	int                pid;
	struct protoent    *protocol;
	int                verbose;
} globalData_t;

struct packet
{
    struct icmphdr hdr;
    char msg[PACKETSIZE-sizeof(struct icmphdr)];
};



/*+------------------------------------------------------+
  | PROTOTYPES                                           |
  +------------------------------------------------------+*/
struct sockaddr_in *initializeGlobalData(int argc, char **argv);
unsigned short checksum(void *b, int len);
void printInfo(void *buf, int bytes);
void *listener(void *par);
void *ping(void *par);
int main(int count, char *strings[]);
void Usage(char **argv);
void quitProgram(int sig);
void printStatistics(void);
#endif 

